CREATE TABLE cse_w_coverages_int (
    INTERFACE_ROW_ID                NUMBER(18, 0) ,
    INTERFACE_STATUS_CODE           VARCHAR2(120) ,
    INTERFACE_BATCH_ID              NUMBER(18, 0) ,
    INTERFACE_BATCH_CODE            VARCHAR2(120) ,
    HEADER_NUMBER                   VARCHAR2(72)  ,
    ACTION_CODE                     VARCHAR2(120)     NOT NULL,
    COVERAGE_ID                     NUMBER(18, 0) ,
    COVERAGE_CODE                   VARCHAR2(320) ,
    COVERAGE_NAME                   VARCHAR2(480) ,
    COVERAGE_DESCRIPTION            VARCHAR2(960) ,
    WARRANTY_PROVIDER_NUMBER        VARCHAR2(120) ,
    WARRANTY_PROVIDER_ID            NUMBER(18, 0) ,
    WARRANTY_PROVIDER_TYPE_CODE     VARCHAR2(120) ,
    COVERAGE_STATUS_CODE            VARCHAR2(120) ,
    COVERAGE_START_DATE             DATE          ,
    COVERAGE_END_DATE               DATE          ,
    COVERAGE_TYPE_CODE              VARCHAR2(120) ,
    WARRANTY_DURATION               NUMBER        ,
    WARRANTY_DURATION_UOM_CODE      VARCHAR2(120) ,
    SUPPLIER_NUMBER                 VARCHAR2(120) ,
    SUPPLIER_ID                     NUMBER(18, 0) ,
    MANUFACTURER_NUMBER             VARCHAR2(120) ,
    MANUFACTURER_ID                 NUMBER(18, 0) ,
    LABOR_REIMBURSEMENT_FLAG        VARCHAR2(4)   ,
    PARTS_REIMBURSEMENT_FLAG        VARCHAR2(4)   ,
    PARTS_RETURN_REQUIRED_FLAG      VARCHAR2(4)   ,
    INTERNAL_REPAIR_ALLOWED_FLAG    VARCHAR2(4)   ,
    AUTHORIZATION_REQUIRED_FLAG     VARCHAR2(4)   ,
    TERMS_AND_CONDITIONS            VARCHAR2(4000),
    REACTIONS_AND_RESOLUTIONS       VARCHAR2(4000),
    SERVICE_LEVEL_AGREEMENTS        VARCHAR2(4000),
    FILTER_BY_TXN_CODE_FLAG         VARCHAR2(4)   ,
    PARTITION_NUMBER                NUMBER(18, 0) ,
    ATTRIBUTE_CATEGORY              VARCHAR2(320) ,
    ATTRIBUTE_CHAR1                 VARCHAR2(960) ,
    ATTRIBUTE_CHAR2                 VARCHAR2(960) ,
    ATTRIBUTE_CHAR3                 VARCHAR2(960) ,
    ATTRIBUTE_CHAR4                 VARCHAR2(960) ,
    ATTRIBUTE_CHAR5                 VARCHAR2(960) ,
    ATTRIBUTE_CHAR6                 VARCHAR2(960) ,
    ATTRIBUTE_CHAR7                 VARCHAR2(960) ,
    ATTRIBUTE_CHAR8                 VARCHAR2(960) ,
    ATTRIBUTE_CHAR9                 VARCHAR2(960) ,
    ATTRIBUTE_CHAR10                VARCHAR2(960) ,
    ATTRIBUTE_CHAR11                VARCHAR2(960) ,
    ATTRIBUTE_CHAR12                VARCHAR2(960) ,
    ATTRIBUTE_CHAR13                VARCHAR2(960) ,
    ATTRIBUTE_CHAR14                VARCHAR2(960) ,
    ATTRIBUTE_CHAR15                VARCHAR2(960) ,
    ATTRIBUTE_CHAR16                VARCHAR2(960) ,
    ATTRIBUTE_CHAR17                VARCHAR2(960) ,
    ATTRIBUTE_CHAR18                VARCHAR2(960) ,
    ATTRIBUTE_CHAR19                VARCHAR2(960) ,
    ATTRIBUTE_CHAR20                VARCHAR2(960) ,
    ATTRIBUTE_NUMBER1               NUMBER        ,
    ATTRIBUTE_NUMBER2               NUMBER        ,
    ATTRIBUTE_NUMBER3               NUMBER        ,
    ATTRIBUTE_NUMBER4               NUMBER        ,
    ATTRIBUTE_NUMBER5               NUMBER        ,
    ATTRIBUTE_NUMBER6               NUMBER        ,
    ATTRIBUTE_NUMBER7               NUMBER        ,
    ATTRIBUTE_NUMBER8               NUMBER        ,
    ATTRIBUTE_NUMBER9               NUMBER        ,
    ATTRIBUTE_NUMBER10              NUMBER        ,
    ATTRIBUTE_DATE1                 DATE          ,
    ATTRIBUTE_DATE2                 DATE          ,
    ATTRIBUTE_DATE3                 DATE          ,
    ATTRIBUTE_DATE4                 DATE          ,
    ATTRIBUTE_DATE5                 DATE          ,
    ATTRIBUTE_TIMESTAMP1            TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP2            TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP3            TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP4            TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP5            TIMESTAMP(6)  ,
    CREATED_BY                      VARCHAR2(256) ,
    CREATION_DATE                   TIMESTAMP(6)  ,
    LAST_UPDATED_BY                 VARCHAR2(256) ,
    LAST_UPDATE_DATE                TIMESTAMP(6)  ,
    LAST_UPDATE_LOGIN               VARCHAR2(128) ,
    LOAD_REQUEST_ID                 NUMBER(18, 0) ,
    REQUEST_ID                      NUMBER(18, 0) ,
    JOB_DEFINITION_NAME             VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE          VARCHAR2(3600),
    INTERFACE_ROW_ID                NUMBER(18, 0) ,
    INTERFACE_STATUS_CODE           VARCHAR2(120) ,
    INTERFACE_BATCH_ID              NUMBER(18, 0) ,
    INTERFACE_BATCH_CODE            VARCHAR2(120) ,
    HEADER_NUMBER                   VARCHAR2(72)  ,
    ACTION_CODE                     VARCHAR2(120)     NOT NULL,
    COVERAGE_ID                     NUMBER(18, 0) ,
    COVERAGE_CODE                   VARCHAR2(320) ,
    COVERAGE_NAME                   VARCHAR2(480) ,
    COVERAGE_DESCRIPTION            VARCHAR2(960) ,
    WARRANTY_PROVIDER_NUMBER        VARCHAR2(120) ,
    WARRANTY_PROVIDER_ID            NUMBER(18, 0) ,
    WARRANTY_PROVIDER_TYPE_CODE     VARCHAR2(120) ,
    COVERAGE_STATUS_CODE            VARCHAR2(120) ,
    COVERAGE_START_DATE             DATE          ,
    COVERAGE_END_DATE               DATE          ,
    COVERAGE_TYPE_CODE              VARCHAR2(120) ,
    WARRANTY_DURATION               NUMBER        ,
    WARRANTY_DURATION_UOM_CODE      VARCHAR2(120) ,
    SUPPLIER_NUMBER                 VARCHAR2(120) ,
    SUPPLIER_ID                     NUMBER(18, 0) ,
    MANUFACTURER_NUMBER             VARCHAR2(120) ,
    MANUFACTURER_ID                 NUMBER(18, 0) ,
    LABOR_REIMBURSEMENT_FLAG        VARCHAR2(4)   ,
    PARTS_REIMBURSEMENT_FLAG        VARCHAR2(4)   ,
    PARTS_RETURN_REQUIRED_FLAG      VARCHAR2(4)   ,
    INTERNAL_REPAIR_ALLOWED_FLAG    VARCHAR2(4)   ,
    AUTHORIZATION_REQUIRED_FLAG     VARCHAR2(4)   ,
    TERMS_AND_CONDITIONS            VARCHAR2(4000),
    REACTIONS_AND_RESOLUTIONS       VARCHAR2(4000),
    SERVICE_LEVEL_AGREEMENTS        VARCHAR2(4000),
    FILTER_BY_TXN_CODE_FLAG         VARCHAR2(4)   ,
    PARTITION_NUMBER                NUMBER(18, 0) ,
    ATTRIBUTE_CATEGORY              VARCHAR2(320) ,
    ATTRIBUTE_CHAR1                 VARCHAR2(960) ,
    ATTRIBUTE_CHAR2                 VARCHAR2(960) ,
    ATTRIBUTE_CHAR3                 VARCHAR2(960) ,
    ATTRIBUTE_CHAR4                 VARCHAR2(960) ,
    ATTRIBUTE_CHAR5                 VARCHAR2(960) ,
    ATTRIBUTE_CHAR6                 VARCHAR2(960) ,
    ATTRIBUTE_CHAR7                 VARCHAR2(960) ,
    ATTRIBUTE_CHAR8                 VARCHAR2(960) ,
    ATTRIBUTE_CHAR9                 VARCHAR2(960) ,
    ATTRIBUTE_CHAR10                VARCHAR2(960) ,
    ATTRIBUTE_CHAR11                VARCHAR2(960) ,
    ATTRIBUTE_CHAR12                VARCHAR2(960) ,
    ATTRIBUTE_CHAR13                VARCHAR2(960) ,
    ATTRIBUTE_CHAR14                VARCHAR2(960) ,
    ATTRIBUTE_CHAR15                VARCHAR2(960) ,
    ATTRIBUTE_CHAR16                VARCHAR2(960) ,
    ATTRIBUTE_CHAR17                VARCHAR2(960) ,
    ATTRIBUTE_CHAR18                VARCHAR2(960) ,
    ATTRIBUTE_CHAR19                VARCHAR2(960) ,
    ATTRIBUTE_CHAR20                VARCHAR2(960) ,
    ATTRIBUTE_NUMBER1               NUMBER        ,
    ATTRIBUTE_NUMBER2               NUMBER        ,
    ATTRIBUTE_NUMBER3               NUMBER        ,
    ATTRIBUTE_NUMBER4               NUMBER        ,
    ATTRIBUTE_NUMBER5               NUMBER        ,
    ATTRIBUTE_NUMBER6               NUMBER        ,
    ATTRIBUTE_NUMBER7               NUMBER        ,
    ATTRIBUTE_NUMBER8               NUMBER        ,
    ATTRIBUTE_NUMBER9               NUMBER        ,
    ATTRIBUTE_NUMBER10              NUMBER        ,
    ATTRIBUTE_DATE1                 DATE          ,
    ATTRIBUTE_DATE2                 DATE          ,
    ATTRIBUTE_DATE3                 DATE          ,
    ATTRIBUTE_DATE4                 DATE          ,
    ATTRIBUTE_DATE5                 DATE          ,
    ATTRIBUTE_TIMESTAMP1            TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP2            TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP3            TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP4            TIMESTAMP(6)  ,
    ATTRIBUTE_TIMESTAMP5            TIMESTAMP(6)  ,
    CREATED_BY                      VARCHAR2(256) ,
    CREATION_DATE                   TIMESTAMP(6)  ,
    LAST_UPDATED_BY                 VARCHAR2(256) ,
    LAST_UPDATE_DATE                TIMESTAMP(6)  ,
    LAST_UPDATE_LOGIN               VARCHAR2(128) ,
    LOAD_REQUEST_ID                 NUMBER(18, 0) ,
    REQUEST_ID                      NUMBER(18, 0) ,
    JOB_DEFINITION_NAME             VARCHAR2(400) ,
    JOB_DEFINITION_PACKAGE          VARCHAR2(3600),
    CONSTRAINT pk_cse_w_coverages_int PRIMARY KEY (INTERFACE_ROW_ID, INTERFACE_ROW_ID)
);
